Subject: Re: bug#29965: Warning: vlan0 is not connected to the host network

From: Catonano <[email-masked]>
Date: Tue, 9 Jan 2018 00:36:02 +0100

2018-01-04 15:50 GMT+01:00 Oleg Pykhalov <[email-masked]>:

> Hello Catonano,
>
> Catonano <[email-masked]> writes:
>
> [...]
>
> >> $(guix system vm config.scm) -net user -net nic,model=virtio
> >
> > What' s this ?
> > What does come out of "$(guix system config.scm)" ?
>
> /gnu/store/...-run-vm.sh comes out of this and replaces $(…) thing.
>

Yes, later I realized that. Thanks

>
>
> As I understand from the video you posted at the thread beginning,
> produced QEMU virtual machine doesn't have a network connection.
>
> How did you come to this?  "ping" will not work for QEMU machines by
> default, but the network should work.
>
> You could try to open a web-page with a browser or do anything except
> programs like "ping" which uses (ICMP protocol).

no, you're right, the network might be working

I should test a browser

It surely works in the vm produced with "guix system vm-image..."

But it may be working with the vm created with "guix system vm" too

Thanks !